Workflow API
Workflow API for processes (workflows), tasks and jobs.
Endpoints
Workflow
POST /api/v1/workflow/start
Start workflows
Description
Start one or more workflow instances of a configured WorkflowConfig function in OMN, identified by its configIdentifier. Each process start request yields one workflow instance; linked objects and parameters are optional and must match the configuration.
Parameters
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
BulkStartRequestDto |
Workflow start request containing the start information BulkStartRequestDto |
X |
Return Type
array[ResponseDto]
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Successful operation |
List[ResponseDto] |
Models
BulkStartRequestDto
Request starting one or more workflow instances for a single WorkflowConfig function.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
configIdentifier |
X |
String |
Identifier of the OMN WorkflowConfig plugin that should be used for the given start requests. |
||
processStartRequests |
X |
List of ProcessStartRequestDto |
Array of start request objects for each workflow instance that should be started. |
IssueDto
Detailed description of the issue
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
code |
Integer |
Technical error code. |
int32 |
||
description |
String |
Human-readable description of the issue. |
|||
details |
Map of [string] |
Object containing an arbitrary set of properties that may help in resolving the specific issue. |
LinkedObjectDto
Use either ID or TID but not both
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
tid |
String |
OMN tid (technical identifier) of the object that should be linked to the workflow instance. Only one of [id, tid] should be used at the same time. |
|||
id |
Long |
OMN (internal) id of the object that should be linked to the workflow instance. Only one of [id, tid] should be used at the same time. |
int64 |
||
type |
Type of the linked object. |
Enum: file, product, peo, project, glossary, |
ParameterDto
Workflow parameter set on the started workflow instance. Only parameters that are configured in the corresponding WorkflowConfig can be set.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
key |
String |
Key of the parameter as defined in the WorkflowConfig. |
|||
type |
Data type of the values. language values are the numeric ids of OMN languages. Date Parameter must be in Camunda specific date format yyyy-MM-dd'T'HH:mm:ss.SSSZ, which represents a date with milliseconds and timezone information, e.g., 2016-01-25T13:33:42.165+0100. |
Enum: string, double, integer, long, boolean, date, language, |
|||
values |
List of [object] |
Array of parameter value(s). Since a parameter can hold multiple values it must always be enclosed in an array, even for a single value. |
ProcessStartRequestDto
Start request for a single workflow instance, with the objects linked to it and the parameters set on it.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
linkedObjects |
List of LinkedObjectDto |
array of linked Objects |
|||
parameters |
List of ParameterDto |
array of parameters |
ResponseDto
Status and result information for a single workflow instance that was created.
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
tid |
X |
String |
OMN tid (technical identifier) of the created workflow instance. |
||
status |
X |
Status of the created workflow instance. |
Enum: success, error, |
||
dataType |
Data type of the created instance. Should always be workflow for this endpoint. |
Enum: product, asset, channel, message, workflow, |
|||
supportId |
String |
For support purposes, a generated id may be returned to assist in resolving errors. |
|||
issues |
List of IssueDto |
If there were issues with any start requests, details are returned here. |